Website shows 502 Bad Gateway after PHP upgrade: Segmentation fault

Created:

2016-11-16 13:11:37 UTC

Modified:

2017-08-16 17:23:28 UTC

0

Was this article helpful?


Have more questions?

Submit a request

Website shows 502 Bad Gateway after PHP upgrade: Segmentation fault

Applicable to:

  • Plesk 11.x for Linux
  • Plesk 12.0 for Linux

Symptoms

Website does not work after update of PHP version. It shows 502 bad gateway or Internal Server Error. In /var/log/apache2/error.log the following error is presented:

[notice] child pid 12704 exit signal Segmentation fault (11)

Cause

Website's code is not optimized for upgraded PHP version.

Resolution

  1. Review website's code to determine what might cause the Apache crash.

  2. Install custom PHP version using KB #213909265 and assign the older php version for particular domain.

Have more questions? Submit a request
Please sign in to leave a comment.